<?php



add_filter( 'ot_show_pages', '__return_false' );
add_filter( 'ot_show_new_layout', '__return_false' );

function qcld_sld_remove_ot_menu () {
    remove_submenu_page( 'themes.php', 'ot-theme-options' );
	
}
//add_action( 'admin_init', 'qcld_sld_remove_ot_menu' );

add_filter( 'ot_header_version_text', 'sld_ot_version_text_custom' );

function sld_ot_version_text_custom()
{
	$text = 'Developed by <a href="http://www.quantumcloud.com" target="_blank">Web Design Company - QuantumCloud</a>';
	
	return $text;
}

/**
 * Hook to register admin pages 
 */
add_action( 'init', 'sld_register_options_pages' );

/**
 * Registers all the required admin pages.
 */

function sld_register_options_pages() {

  // Only execute in admin & if OT is installed
  if ( is_admin() && function_exists( 'ot_register_settings' ) ) {

    // Register the pages
    ot_register_settings( 
      array(
        array( 
          'id'              => 'sld_option_tree',
          'pages'           => array(
            array(
              'id'              => 'sld_options',
              'parent_slug'     => 'edit.php?post_type=sld',
              'page_title'      => 'Settings',
              'menu_title'      => 'Settings',
              'capability'      => 'edit_theme_options',
              'menu_slug'       => 'sld-options-page',
              'icon_url'        => null,
              'position'        => null,
              'updated_message' => 'SLD Options Updated.',
              'reset_message'   => 'SLD Options Reset.',
              'button_text'     => 'Save Changes',
              'show_buttons'    => true,
              'screen_icon'     => 'options-general',
              'contextual_help' => null,
			  
    'sections'        => array( 
      array(
        'id'          => 'general',
        'title'       => __( 'Settings', 'theme-text-domain' )
      ),
	  array(
        'id'          => 'frontend',
        'title'       => __( 'Frontend Submission', 'theme-text-domain' )
      ),
	  array(
        'id'          => 'claim_listing',
        'title'       => __( 'Claim Listing', 'theme-text-domain' )
      ),
	  array(
        'id'          => 'payment',
        'title'       => __( 'Payment Method', 'theme-text-domain' )
      ),
      array(
        'id'          => 'bookmark',
        'title'       => __( 'Favorite Settings', 'theme-text-domain' )
      ),
	  array(
        'id'          => 'multipage',
        'title'       => __( 'Multipage Settings', 'theme-text-domain' )
      ),
	  array(
        'id'          => 'upvote',
        'title'       => __( 'Upvote Settings', 'theme-text-domain' )
      ),
	  
	  array(
        'id'          => 'language',
        'title'       => __( 'Language Settings', 'theme-text-domain' )
      ),
	  array(
        'id'          => 'custom_css',
        'title'       => __( 'Custom CSS', 'theme-text-domain' )
      ),
	  array(
        'id'          => 'custom_js',
        'title'       => __( 'Custom Javascript', 'theme-text-domain' )
      ),

    ),
			  
    'settings'        => array(
	    array(
		    'label'       => __('SLD Admin Email'),
		    'id'          => 'sld_admin_email',
		    'type'        => 'text',
		    'desc'        => __('Please provide a valid email address.'),
		    'std'         => '',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'general'
	    ),
		array(
			'id'          => 'sld_use_global_font',
			'label'       => __( 'Select Font Setting', 'text-domain' ),
			'desc'        => __( '', 'text-domain' ),
			'type'        => 'select',
			'section'     => 'general',
			'choices'     => array( 
					array(
						'value'       => 'no',
						'label'       => __( 'Theme Font', 'text-domain' ),
					),
					array(
						'value'       => 'yes',
						'label'       => __( 'Custom Font', 'text-domain' ),
					),
				),
			'default'	=> 'yes'
			
		),

	array(
		'label'       => __('Custom Font'),
		'id'          => 'sld_global_font',
		'type'        => 'google-fonts',
		'desc'        => __('You have to select Custom Font from Font setting, Otherwise change will not take place.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general',
		'condition' => 'sld_use_global_font:is(yes)'
	),
	array(
		'label'       => __('Enable Top Area'),
		'id'          => 'sld_enable_top_part',
		'type'        => 'on-off',
		'desc'        => __('Top Area includes Live Search, Add a Item, Share Button.'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Live Search'),
		'id'          => 'sld_enable_search',
		'type'        => 'on-off',
		'desc'        => __('Live search through directory items.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),

	array(
			'id'          => 'sld_filter_ptype',
			'label'       => __( 'Filter Button Presentation Style', 'text-domain' ),
			'desc'        => __( '', 'text-domain' ),
			'type'        => 'select',
			'section'     => 'general',
			'choices'     => array( 
					array(
						'value'       => 'normal',
						'label'       => __( 'Normal Buttons', 'text-domain' ),
					),
					array(
						'value'       => 'carousel',
						'label'       => __( 'Carousel', 'text-domain' ),
					),
				),
			'default'	=> 'yes'
			
		),

	array(
		'label'       => __('Enable List Filtering at Top Position'),
		'id'          => 'sld_enable_filtering',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),

	    array(
		    'label'       => __('Enable List Filtering at Left Position'),
		    'id'          => 'sld_enable_filtering_left',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'general'
	    ),

	array(
		'label'       => __('Enable RTL Direction'),
		'id'          => 'sld_enable_rtl',
		'type'        => 'on-off',
		'desc'        => __('If you make this option ON, then list heading and list items will be arranged in Right-to-Left direction.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Embed List Button on Listing Pages'),
		'id'          => 'sld_enable_embed_list',
		'type'        => 'on-off',
		'desc'        => __('Enable embed link button to generate iFrame embed code for particular list.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	
	
	array(
		'label'       => __('Embed Credit Title'),
		'id'          => 'sld_embed_credit_title',
		'type'        => 'text',
		'desc'        => __('This text will be displayed below embedded list in other sites.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Embed Credit Link'),
		'id'          => 'sld_embed_credit_link',
		'type'        => 'text',
		'desc'        => __('This text will be displayed below embedded list in other sites.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Track Outbound Clicks'),
		'id'          => 'sld_enable_click_tracking',
		'type'        => 'on-off',
		'desc'        => __('You need to have the analytics.js [<a href="https://support.google.com/analytics/answer/1008080#GA" target="_blank">Analytics tracking code in every page of your site</a>].'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Enable Upvote Option in Widgets'),
		'id'          => 'sld_enable_widget_upvote',
		'type'        => 'on-off',
		'desc'        => __('Allow users to upvote items using widgets.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'upvote'
	),
	    array(
		    'id'          => 'sld_use_global_thumbs_up',
		    'label'       => __( 'Select Upvote Icon', 'text-domain' ),
		    'desc'        => __( '', 'text-domain' ),
		    'type'        => 'select',
		    'section'     => 'upvote',
		    'choices'     => array(
			    array(
				    'value'       => 'fa-thumbs-up',
				    'label'       => __( 'Thumbs Up', 'text-domain' ),
			    ),
			    array(
				    'value'       => 'fa-heart',
				    'label'       => __( 'Heart', 'text-domain' ),
			    ),
			    array(
				    'value'       => 'fa-smile-o',
				    'label'       => __( 'Smile Face', 'text-domain' ),
			    ),
			    array(
				    'value'       => 'fa-fire',
				    'label'       => __( 'Fire', 'text-domain' ),
			    ),
			    array(
				    'value'       => 'fa-star',
				    'label'       => __( 'Star', 'text-domain' ),
			    ),

		    ),
		    'default'	=> 'yes'

	    ),
		
		array(
			'label'       => __('Upvote restrict by IP'),
			'id'          => 'sld_upvote_restrict_by_ip',
			'type'        => 'on-off',
			'desc'        => __('Daily one upvote per IP.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'upvote'
		),
		
		array(
			'label'       => __('Allow only logged in user to upvote'),
			'id'          => 'sld_upvote_user_login',
			'type'        => 'on-off',
			'desc'        => __('Allow only logged in user to upvote.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'upvote'
		),
		array(
			'label'       => __('Login Url'),
			'id'          => 'sld_upvote_login_url',
			'type'        => 'text',
			'desc'        => __(''),
			'std'         => '',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'upvote',
			'condition' => 'sld_upvote_user_login:is(on)',
		),
		
		
		array(
			'label'       => __('Reset Upvotes'),
			'id'          => 'sld_upvote_reset',
			'type'        => 'Textblock',
			'desc'        => __('<button id="sld_reset_all_upvotes" class="option-tree-ui-button button button-primary">Reset Upvotes</button>'),
			'section'     => 'upvote'
			
		),
		array(
			'label'       => __('Upvote Expire after (Days). Ex: 30'),
			'id'          => 'sld_upvote_expire_after',
			'type'        => 'text',
			'desc'        => __('Upvote will automatic expire after choosen days. This field only accept integer as day. EX: 30. If you do not want any expiration of upvote just leave this field empty.'),
			'section'     => 'upvote'
			
		),
		array(
			'label'       => __('Enable Statistics'),
			'id'          => 'sld_enable_statistics',
			'type'        => 'on-off',
			'desc'        => __('Enable Statistics.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'general'
		),
		array(
			'label'       => __('Enable Upvote for Main Click'),
			'id'          => 'sld_main_click_upvote',
			'type'        => 'on-off',
			'desc'        => __('If you turn it on then item will be upvoted if user click on the particular item.'),
			'std'         => 'off',
			'rows'        => '',
			'post_type'   => '',
			'taxonomy'    => '',
			'class'       => '',
			'section'     => 'general'
		),
		
	array(
		'label'       => __('Enable Scroll to Top Button'),
		'id'          => 'sld_enable_scroll_to_top',
		'type'        => 'on-off',
		'desc'        => __('Show Scroll to Top.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
		'label'       => __('Automatic Remove Duplicate List Item'),
		'id'          => 'sld_auto_remove_dup_item',
		'type'        => 'on-off',
		'desc'        => __('Enable to automatic remove duplicate list item.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'general'
	),
	array(
			'label'       => __('Mark as New Item will Expire after (XXX Days). Ex: 30'),
			'id'          => 'sld_new_expire_after',
			'type'        => 'text',
			'desc'        => __('Mark as new item will automatic expire after choosen days. This field only accept integer as day. EX: 30. If you do not want any expiration of Mark as new item just leave this field empty.'),
			'section'     => 'general'
			
		),
		

	array(
		'label'       => __('Enable Claim Listing'),
		'id'          => 'sld_enable_claim_listing',
		'type'        => 'on-off',
		'desc'        => __('Shortcode: [sld_claim_listing] <br><span style="color:red;font-weight:bold"> Before enabling Claim Listing you must enable and configure Frontend Submission. <br>You have to create a page by using this Shortcode [sld_claim_listing] where user can register & claim list item.</span><br><br> <div id="sld_page_check"></div> '),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'claim_listing'
	),
	array(
		'label'       => __('Show Claim Listing Button at Top'),
		'id'          => 'sld_show_claim_listing_button',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'claim_listing'
	),
	


	//Code for frontend section//
	array(
		'label'       => __('Enable Frontend Submission'),
		'id'          => 'sld_enable_add_new_item',
		'type'        => 'on-off',
		'desc'        => __('<span style="color:red;font-weight:bold">For front end submission to work you need to create 4 different pages and paste the following short code in each page: [sld_login], [sld_registration], [sld_dashboard] & [sld_restore] </span><br><br> <div id="sld_page_check"></div> '),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend'
	),
	    array(
		    'label'       => __('Enable Free Frontend Submission'),
		    'id'          => 'sld_enable_free_submission',
		    'type'        => 'on-off',
		    'desc'        => __('<span style="color:red;font-weight:bold">When you are logged in as admin, you can add listings from the front end as well as the back end.</span><br />Allow user to submit their items free of cost.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
	    array(
		    'label'       => __('Free Submission Limit'),
		    'id'          => 'sld_free_item_limit',
		    'type'        => 'text',
		    'desc'        => __('Enter your limit amount. EX:10.'),
		    'std'         => '10',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_free_submission:is(on),sld_enable_add_new_item:is(on)',
	    ),
		array(
		    'label'       => __('Long Description Field for Free Listing'),
		    'id'          => 'sld_enable_long_desc_free_submission',
		    'type'        => 'on-off',
		    'desc'        => __('You can turn off Long description field for free listing.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_free_submission:is(on)',
	    ),
	    /*array(
		    'label'       => __('Enable Package for Frontend Submission'),
		    'id'          => 'sld_enable_package',
		    'type'        => 'on-off',
		    'desc'        => __('To enable package please make sure that you have setup a package from <a href="'.get_admin_url().'edit.php?post_type=sld&page=qcsld_package">Simple Link Directory/Package</a>.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),*/
	    array(
		    'label'       => __('Enable Email Notification for New Item Submission'),
		    'id'          => 'sld_email_notification',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
	array(
		'label'       => __('Mark Paid Item as Featured'),
		'id'          => 'sld_paid_item_featured',
		'type'        => 'on-off',
		'desc'        => __('Enable to mark paid item as featured.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Show Featured Item at Top'),
		'id'          => 'sld_featured_item_top',
		'type'        => 'on-off',
		'desc'        => __('Enable to show featured item at top.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Registration Captcha'),
		'id'          => 'sld_enable_captcha',
		'type'        => 'on-off',
		'desc'        => __('Captcha for frontend registration form.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	
	array(
		'label'       => __('Allow any logged in user to add link'),
		'id'          => 'sld_enable_anyusers',
		'type'        => 'on-off',
		'desc'        => __('Allow any logged in user to add link'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),

	    array(
		    'label'       => __('Allow User to Update Profile'),
		    'id'          => 'sld_profile_update',
		    'type'        => 'on-off',
		    'desc'        => __('Allow User to Update their Profile from dashboard.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),

	    array(
		    'label'       => __('Allow User to Upload Image'),
		    'id'          => 'sld_image_upload',
		    'type'        => 'on-off',
		    'desc'        => __('Allow user to upload item image.'),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),
		
	    array(
		    'label'       => __('Do Not Allow do-follow Links '),
		    'id'          => 'sld_disable_no_follow',
		    'type'        => 'on-off',
		    'desc'        => __(''),
		    'std'         => 'off',
		    'rows'        => '',
		    'post_type'   => '',
		    'taxonomy'    => '',
		    'class'       => '',
		    'section'     => 'frontend',
		    'condition' => 'sld_enable_add_new_item:is(on)',
	    ),

	array(
		'label'       => __('Auto Approve Registered Users'),
		'id'          => 'sld_enable_user_approval',
		'type'        => 'on-off',
		'desc'        => __('When turned off admin needs to Approve users manually from main WordPress Users.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Auto Approve Item Submission'),
		'id'          => 'sld_enable_auto_approval',
		'type'        => 'on-off',
		'desc'        => __('Auto approval for frontend list submission.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	
	array(
		'label'       => __('Enable Paypal payment'),
		'id'          => 'sld_enable_paypal_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable Paypal as payment gateway'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	array(
		'label'       => __('Paypal Email Address'),
		'id'          => 'sld_paypal_email',
		'type'        => 'text',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_paypal_payment:is(on)',
	),
	array(
		'label'       => __('Enable Paypal Test Mode'),
		'id'          => 'sld_enable_paypal_test_mode',
		'type'        => 'on-off',
		'desc'        => __('Enable Paypal Test Mode'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_paypal_payment:is(on)',
	),
	array(
		'label'       => __('Enable Paypal Recurring Payment'),
		'id'          => 'sld_enable_paypal_recurring',
		'type'        => 'on-off',
		'desc'        => __('Enable Paypal Recurring Payment'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_paypal_payment:is(on)',
	),
	
	array(
		'label'       => __('Enable Stripe payment'),
		'id'          => 'sld_enable_stripe_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable stripe as payment gateway'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	
	array(
		'label'       => __('Stripe Secret Key'),
		'id'          => 'sld_stripe_sectet_key',
		'type'        => 'text',
		'desc'        => __('You can find the Secret key from <a href="https://dashboard.stripe.com/account/apikeys" target="_blank">https://dashboard.stripe.com/account/apikeys</a> after logging in to your stripe dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_stripe_payment:is(on)',
	),
	array(
		'label'       => __('Stripe Public Key'),
		'id'          => 'sld_stripe_public_key',
		'type'        => 'text',
		'desc'        => __('You can find the Public key from <a href="https://dashboard.stripe.com/account/apikeys" target="_blank">https://dashboard.stripe.com/account/apikeys</a> after logging in to your stripe dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_stripe_payment:is(on)',
	),
	
	array(
		'label'       => __('Enable 2Checkout payment'),
		'id'          => 'sld_enable_2checkout_payment',
		'type'        => 'on-off',
		'desc'        => __('Enable 2checkout as payment gateway'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		
	),
	array(
		'label'       => __('Enable 2checkout Sandbox'),
		'id'          => 'sld_enable_2checkout_sandbox',
		'type'        => 'on-off',
		'desc'        => __('Enable 2checkout sandbox for testing.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
		
	),
	array(
		'label'       => __('2checkout Seller ID'),
		'id'          => 'sld_2checkout_seller_id',
		'type'        => 'text',
		'desc'        => __('You can find the seller id after logging in to your 2checkout dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
	),
	
	array(
		'label'       => __('2checkout private Key'),
		'id'          => 'sld_2checkout_sectet_key',
		'type'        => 'text',
		'desc'        => __('You can find the private key from <a href="https://sandbox.2checkout.com/sandbox/api/" target="_blank">https://sandbox.2checkout.com/sandbox/api/</a> after logging in to your 2checkout dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
	),
	array(
		'label'       => __('2checkout Public Key'),
		'id'          => 'sld_2checkout_public_key',
		'type'        => 'text',
		'desc'        => __('You can find the Public key from <a href="https://sandbox.2checkout.com/sandbox/api/" target="_blank">https://sandbox.2checkout.com/sandbox/api/</a> after logging in to your 2checkout dashboard'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'payment',
		'condition' => 'sld_enable_2checkout_payment:is(on)',
	),
	
	
	array(
		'label'       => __('Exclude List By ID'),
		'id'          => 'sld_exclude_list',
		'type'        => 'text',
		'desc'        => __('Exclude list from frontend submission by id. Use comma(,) to seperate multiple ids. EX:102,105'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	
	array(
		'label'       => __('Enable Email Notification for Package Expiration'),
		'id'          => 'sld_enable_email_notification_package_expire',
		'type'        => 'on-off',
		'desc'        => __('Enable/Disable Email Notification for Package Expiration'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(on)',
	),
	array(
		'label'       => __('Package Expiration Email'),
		'id'          => 'sld_package_expire_email',
		'type'        => 'textarea',
		'desc'        => __('You can edit this email content the way you like. Available Variables: #user_name, #expire_date, #package_name, #create_date'),
		'std'         => '<p>Hi #user_name,</p>
<p>Your package #package_name has been expired at #expire_date. Please renew your package by login to your dashboard.</p>
<p>Thanks.</p>',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_email_notification_package_expire:is(on),sld_enable_add_new_item:is(on)',
	),
	
	array(
		'label'       => __('Link Add New Button to a Page Instead'),
		'id'          => 'sld_add_new_behave',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_enable_add_new_item:is(off)',
	),
	array(
		'label'       => __('Add Button Link'),
		'id'          => 'sld_add_item_link',
		'type'        => 'text',
		'desc'        => __('Example: http://www.yourdomain.com'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'frontend',
		'condition' => 'sld_add_new_behave:is(on),sld_enable_add_new_item:is(off)'
	),
	
	array(
		'label'       => 'Custom CSS',
		'id'          => 'sld_custom_style',
		'type'        => 'css',
		'desc'        => __('Write your custom CSS here.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'custom_css'
	),
	array(
		'label'       => 'Custom Javascript',
		'id'          => 'sld_custom_js',
		'type'        => 'javascript',
		'desc'        => __('Write your custom javascript here. No need any script tag.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'custom_js'
	),

//Bookmark section

array(
		'label'       => __('Enable Favorite'),
		'id'          => 'sld_enable_bookmark',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
array(
		'label'       => __('User Login url'),
		'id'          => 'sld_bookmark_user_login_url',
		'type'        => 'text',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
array(
		'label'       => __('Favorite List Title'),
		'id'          => 'sld_bookmark_title',
		'type'        => 'text',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
array(
		'label'       => __('Popup Message'),
		'id'          => 'sld_bookmark_popup_content',
		'type'        => 'text',
		'desc'        => __('This message will show when login required to add favorite.'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('List Holder Color'),
		'id'          => 'sld_bookmark_list_holder_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Background Color'),
		'id'          => 'sld_bookmark_item_background_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Background Color Hover'),
		'id'          => 'sld_bookmark_item_background_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Text Color'),
		'id'          => 'sld_bookmark_item_text_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Text Color Hover'),
		'id'          => 'sld_bookmark_item_text_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),

	array(
		'label'       => __('Item Sub Text Color'),
		'id'          => 'sld_bookmark_item_sub_text_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Sub Text Color Hover'),
		'id'          => 'sld_bookmark_item_sub_text_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	
	array(
		'label'       => __('Item Border Color'),
		'id'          => 'sld_bookmark_item_border_color',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),
	array(
		'label'       => __('Item Border Color Hover'),
		'id'          => 'sld_bookmark_item_border_color_hover',
		'type'        => 'colorpicker',
		'desc'        => __(''),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'bookmark'
	),

	array(
		'label'       => __('Add Link'),
		'id'          => 'sld_lan_add_link',
		'type'        => 'text',
		'desc'        => __('Change the language for Add Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Share List'),
		'id'          => 'sld_lan_share_list',
		'type'        => 'text',
		'desc'        => __('Change the language for Share List'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	
	array(
		'label'       => __('Live Search Items'),
		'id'          => 'sld_lan_live_search',
		'type'        => 'text',
		'desc'        => __('Change the language for Live Search Items'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Show All'),
		'id'          => 'sld_lan_show_all',
		'type'        => 'text',
		'desc'        => __('Change the language for Show All'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Visit Page'),
		'id'          => 'sld_lan_visit_page',
		'type'        => 'text',
		'desc'        => __('Change the language for Visit Page'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Related Items'),
		'id'          => 'sld_lan_related_items',
		'type'        => 'text',
		'desc'        => __('Change the language for Related Items'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Already Have an Account?'),
		'id'          => 'sld_lan_already_account',
		'type'        => 'text',
		'desc'        => __('Change the language for Already Have an Account?'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Visit This Link'),
		'id'          => 'sld_lan_visit_link',
		'type'        => 'text',
		'desc'        => __('Change the language for Visit This Link'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Tags'),
		'id'          => 'sld_lan_tags',
		'type'        => 'text',
		'desc'        => __('Change the language for - Tags'),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'language'
	),
	array(
		'label'       => __('Enable SLD Multipage'),
		'id'          => 'sld_enable_multipage',
		'type'        => 'on-off',
		'desc'        => __(''),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
		
	),
	array(
		'label'       => __('SLD Multipage'),
		'id'          => 'sld_text_block_multipage',
		'type'        => 'Textblock',
		'desc'        => __('You must add the following shortcode on a new page first:  [qcopd-directory-multipage]  . This page will be the base of your directory and show the list categories.<br><br>Please use [qcopd-directory-multipage] shortcode for sld multipage.<br><span style="color:red">For Multi Page Mode to Work You Must Create Categories and Assign Lists to Relevant Categories.</span><br>After adding this shortcode on a page you have to flush WordPress URL rewrite rules. Please go to <b>Settings > Permalinks</b> then click the <b>Save Changes</b> button Or you can click the button below to flush rewrite rules quickly.<br>For multi page directory we suggest uploading custom images. Recommended size 300px by 300px. Multi page mode supports one default template only.<div id="sld_flash_msg"></div><br><button id="sld_flash_button" class="option-tree-ui-button button button-primary">Flush Rewrite Rules</button> '),
		'std'         => '',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage',
		'condition' => 'sld_enable_multipage:is(on)',
	),
	
	array(
		'id'          => 'sld_multipage_template',
		'label'       => __( 'Select Style for Multipage', 'text-domain' ),
		'desc'        => __( '', 'text-domain' ),
		'type'        => 'select',
		'section'     => 'multipage',
		'choices'     => array(
			array(
				'value'       => 'style-15-multipage',
				'label'       => __( 'Multipage Style 2', 'text-domain' ),
			),
			array(
				'value'       => 'style-multipage',
				'label'       => __( 'Multipage Style 1', 'text-domain' ),
			),
			array(
				'value'       => 'style-10-multipage',
				'label'       => __( 'Multipage Style 3', 'text-domain' ),
			),
			
			

		),
		'default'	=> 'yes'

	),
	
	array(
		'label'       => __('Shortcode for Multipage Category'),
		'id'          => 'sld_multi_category',
		'type'        => 'Textblock',
		'desc'        => __('[sld-multipage-category] <br><br>  Once you add the main multi page shortcode on a page of its own you can also add the following shortcode on home page or any other page to display multipage categories: [sld-multipage-category]. <br> When a category is clicked, it will redirect to the main directory page where you added the main shortcode and show the Lists under a category.'),
		
		'section'     => 'multipage'
	),
	
	array(
		'label'       => __('Open All Link Details Pages in the Same Window'),
		'id'          => 'sld_multi_same_window',
		'type'        => 'on-off',
		'desc'        => __('Turn on to link open in same window Or it will take the settings from individual list item.'),
		'std'         => 'on',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	array(
		'label'       => __('Widget Items Link to Listing Details in Multi-Page Mode'),
		'id'          => 'sld_widget_link_multipage',
		'type'        => 'on-off',
		'desc'        => __('widget items link to listing details in multi-page mode.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	array(
		'label'       => __('Enable Tag Filter'),
		'id'          => 'sld_multi_tag',
		'type'        => 'on-off',
		'desc'        => __('Turn on to show tags in multipage mode.'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	
	array(
		'label'       => __('Show Alexa Ranking'),
		'id'          => 'sld_show_alexa_rank',
		'type'        => 'on-off',
		'desc'        => __('Show alexa rank in item landing page'),
		'std'         => 'off',
		'rows'        => '',
		'post_type'   => '',
		'taxonomy'    => '',
		'class'       => '',
		'section'     => 'multipage'
	),
	

    )
            )
          )
        )
      )
    );

  }

}

?>